package program.zoo;

public class Animal 
{
	private String name;
	private int age;
	private double weight;
	private String description;
	private String animalClass;
	private String environment;
	private String feed;
	
	public Animal(String name, int age, double weight, String description, String animalClass, String environment, String feed) {
		this.name = name;
		this.age = age;
		this.weight = weight;
		this.description = description;
		this.animalClass = animalClass;
		this.environment = environment;
		this.feed = feed;
	}

	public String getName() {
		return name;
	}

	public int getAge() {
		return age;
	}

	public double getWeight() {
		return weight;
	}

	public String getDescription() {
		return description;
	}

	public String getAnimalClass() {
		return animalClass;
	}

	public String getEnvironment() {
		return environment;
	}

	public String getFeed() {
		return feed;
	}
	
	//method to print the details of an animal
	public void printAnimal()
	{
		System.out.println("Animal details: " + 
							"\nName: " + name + 
							"\nAge: " + age + 
							"\nWeight: " + weight + "Kg" +
							"\nDescription: " + description +
							"\nClass: " + animalClass + 
							"\nEnvironment: " + environment +
							"\nFood type: " + feed);
	}
}
