package program.zoo;

public class Bird extends Animal
{

	private double wingSpan;
	private String beakType;
	private boolean migratory;
	private boolean flying;
	
	public Bird(String name, int age, double weight, String description, String animalClass, String environment,
			String feed, double wingSpan, String beakType, boolean migratory, boolean flying) 
	{
		super(name, age, weight, description, animalClass, environment, feed);
		this.wingSpan = wingSpan;
		this.beakType = beakType;
		this.migratory = migratory;
		this.flying = flying;
	}

	
	@Override
	public void printAnimal()
	{
		super.printAnimal();
		System.out.println("Wing span: " + wingSpan +
							"\nBeak type: " + beakType + 
							"\nMigratory: " + migratory +
							"\nIs bird type flying: " + flying);
	}

}
