package program.zoo;

public class Reptile extends Animal {
	
	private String movement;
	private String scaleType;
	private String scaleColour;
	
	public Reptile(String name, int age, double weight, String description, String animalClass, String environment,
			String feed, String movement, String scaleType, String scaleColour) 
	{
		super(name, age, weight, description, animalClass, environment, feed);
		this.movement = movement;
		this.scaleType = scaleType;
		this.scaleColour = scaleColour;
	}

	@Override
	public void printAnimal()
	{
		super.printAnimal();
		System.out.println("Movement type: " + movement +
							"\nScale type: " + scaleType +
							"\nScale colour: " + scaleColour);
	}
	
}
