package program.zoo;

public class Fish extends Animal {

	private double length;
	private String colour;
	private boolean freshWater;
	private boolean saltWater;
	
	public Fish(String name, int age, double weight, String description, String animalClass, String environment,
			String feed, double length, String colour, boolean freshWater, boolean saltWater) 
	{
		super(name, age, weight, description, animalClass, environment, feed);
		this.length = length;
		this.colour = colour;
		this.freshWater = freshWater;
		this.saltWater = saltWater;
	}

	
	@Override
	public void printAnimal()
	{
		super.printAnimal();
		System.out.println("Length: " + length + "ft" +
							"\nColour: " + colour + 
							"\nWater type: " +
							"\nFresh Water: " + freshWater +
							"\nSalt Water: " + saltWater);
	}
}
